> For the complete documentation index, see [llms.txt](https://developer.weepay.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.weepay.co/api/odeme-servisi-kendi-formunuz/taksit-sorgulama.md).

# Taksit Sorgulama

## Taksit Sorgulama

* API servisine gönderilmesi gereken parametreler
* Örnek Kodlar
* API servisinden dönen parametreler

## Taksit Servisi Parametreleri

<mark style="color:green;">`POST`</mark> `https://api.weepay.co/BinList/Installment`

Gönderilecek parametreler Auth ve Data  altında yer almalıdır

#### Path Parameters

| Name      | Type    | Description                                                |
| --------- | ------- | ---------------------------------------------------------- |
| Auth      | array   | Auth array altında bayiId, apiKey ve secretKey gönderilir. |
| bayiId    | integer | weepay tarafıdan verilen bayiId                            |
| apiKey    | string  | weepay tarafından verilen apikey                           |
| secretKey | string  | weepay tarafından verilen secretKey                        |

#### Query Parameters

| Name      | Type   | Description                                                                                                              |
| --------- | ------ | ------------------------------------------------------------------------------------------------------------------------ |
| type      | string | <p>type değeri sadece HTML ve DATA değerlerini alır.<br>Boş gönderilirse Default olarak DATA atanır </p>                 |
| binNumber | number | 6 haneli kredi kartı bin numarası gönderilmesi zorunlu değildir gönderilmez ise tüm taksit seçenekleri ile dönüş yapılır |
| price     | number | taksit hesaplanacak tutar değeri (Kuruş kısmı nokta ile yazılır. Örn: 35.50)                                             |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## Servisden Dönen Parametreler

Servisten dönen parametrelerin 3 tip kullanımı mevcuttur.

* type değeri DATA (**Tüm taksit seçenekleri**)
* type değeri DATA ve bin numarası ile - **(Gönderilen bin numarası için taksit seçenekleri)**
* type değeri HTML - (**Tüm taksit seçenekleri HTML Tablo)**
* type değeri HTML ve bin numarası ile - **(Gönderilen bin numarası için HTML tablo)**

{% tabs %}
{% tab title=" DATA Tüm taksitler" %}

```javascript
// Örnek Cevap için bin numarası boş olarak type değeri DATA olarak oluşturulmuştur
{
   "systemTime":1612038484,
   "status ":"success",
   "price ":"10.00",
   "installmentDetails":[
      {
         "bankCode":"46",
         "cardFamilyName":"AXESS",
         "installmentPrices":[
            {
               "familyName":"AXESS",
               "installmentNumber":1,
               "installmentPrice":"10.00",
               "totalPrice":"10.00"
            },
            {
               "familyName":"AXESS",
               "installmentNumber":3,
               "installmentPrice":"3.47",
               "totalPrice":"10.42"
            },
            {
               "familyName":"AXESS",
               "installmentNumber":6,
               "installmentPrice":"1.78",
               "totalPrice":"10.66"
            },
            {
               "familyName":"AXESS",
               "installmentNumber":9,
               "installmentPrice":"1.22",
               "totalPrice":"10.98"
            },
            {
               "familyName":"AXESS",
               "installmentNumber":12,
               "installmentPrice":"0.94",
               "totalPrice":"11.33"
            }
         ]
      },
      {
         "bankCode":"111",
         "cardFamilyName":"CARDFINANS",
         "installmentPrices":[
            {
               "familyName":"CARDFINANS",
               "installmentNumber":1,
               "installmentPrice":"10.00",
               "totalPrice":"10.00"
            },
            {
               "familyName":"CARDFINANS",
               "installmentNumber":3,
               "installmentPrice":"3.47",
               "totalPrice":"10.42"
            },
            {
               "familyName":"CARDFINANS",
               "installmentNumber":6,
               "installmentPrice":"1.78",
               "totalPrice":"10.66"
            },
            {
               "familyName":"CARDFINANS",
               "installmentNumber":9,
               "installmentPrice":"1.22",
               "totalPrice":"10.98"
            },
            {
               "familyName":"CARDFINANS",
               "installmentNumber":12,
               "installmentPrice":"0.94",
               "totalPrice":"11.33"
            }
         ]
      },
      {
         "bankCode":"12",
         "cardFamilyName":"PARAF",
         "installmentPrices":[
            {
               "familyName":"PARAF",
               "installmentNumber":1,
               "installmentPrice":"10.00",
               "totalPrice":"10.00"
            },
            {
               "familyName":"PARAF",
               "installmentNumber":3,
               "installmentPrice":"3.51",
               "totalPrice":"10.52"
            },
            {
               "familyName":"PARAF",
               "installmentNumber":6,
               "installmentPrice":"1.80",
               "totalPrice":"10.81"
            },
            {
               "familyName":"PARAF",
               "installmentNumber":9,
               "installmentPrice":"1.23",
               "totalPrice":"11.11"
            },
            {
               "familyName":"PARAF",
               "installmentNumber":12,
               "installmentPrice":"0.95",
               "totalPrice":"11.43"
            }
         ]
      },
      {
         "bankCode":"99",
         "cardFamilyName":"BONUS",
         "installmentPrices":[
            {
               "familyName":"BONUS",
               "installmentNumber":1,
               "installmentPrice":"10.00",
               "totalPrice":"10.00"
            },
            {
               "familyName":"BONUS",
               "installmentNumber":3,
               "installmentPrice":"3.51",
               "totalPrice":"10.52"
            },
            {
               "familyName":"BONUS",
               "installmentNumber":6,
               "installmentPrice":"1.80",
               "totalPrice":"10.81"
            },
            {
               "familyName":"BONUS",
               "installmentNumber":9,
               "installmentPrice":"1.23",
               "totalPrice":"11.11"
            },
            {
               "familyName":"BONUS",
               "installmentNumber":12,
               "installmentPrice":"0.95",
               "totalPrice":"11.43"
            }
         ]
      },
      {
         "bankCode":"64",
         "cardFamilyName":"MAXIMUM",
         "installmentPrices":[
            {
               "familyName":"MAXIMUM",
               "installmentNumber":1,
               "installmentPrice":"10.00",
               "totalPrice":"10.00"
            },
            {
               "familyName":"MAXIMUM",
               "installmentNumber":3,
               "installmentPrice":"3.56",
               "totalPrice":"10.68"
            },
            {
               "familyName":"MAXIMUM",
               "installmentNumber":6,
               "installmentPrice":"1.84",
               "totalPrice":"11.03"
            },
            {
               "familyName":"MAXIMUM",
               "installmentNumber":9,
               "installmentPrice":"1.27",
               "totalPrice":"11.43"
            },
            {
               "familyName":"MAXIMUM",
               "installmentNumber":12,
               "installmentPrice":"0.99",
               "totalPrice":"11.83"
            }
         ]
      },
      {
         "bankCode":"15",
         "cardFamilyName":"WORLD",
         "installmentPrices":[
            {
               "familyName":"WORLD",
               "installmentNumber":1,
               "installmentPrice":"10.00",
               "totalPrice":"10.00"
            },
            {
               "familyName":"WORLD",
               "installmentNumber":3,
               "installmentPrice":"3.54",
               "totalPrice":"10.61"
            },
            {
               "familyName":"WORLD",
               "installmentNumber":6,
               "installmentPrice":"1.83",
               "totalPrice":"10.96"
            },
            {
               "familyName":"WORLD",
               "installmentNumber":9,
               "installmentPrice":"1.26",
               "totalPrice":"11.32"
            },
            {
               "familyName":"WORLD",
               "installmentNumber":12,
               "installmentPrice":"0.97",
               "totalPrice":"11.66"
            }
         ]
      },
      {
         "bankCode":"10",
         "cardFamilyName":"COMBO",
         "installmentPrices":[
            {
               "familyName":"COMBO",
               "installmentNumber":1,
               "installmentPrice":"10.00",
               "totalPrice":"10.00"
            },
            {
               "familyName":"COMBO",
               "installmentNumber":3,
               "installmentPrice":"3.52",
               "totalPrice":"10.55"
            },
            {
               "familyName":"COMBO",
               "installmentNumber":6,
               "installmentPrice":"1.81",
               "totalPrice":"10.84"
            },
            {
               "familyName":"COMBO",
               "installmentNumber":9,
               "installmentPrice":"1.24",
               "totalPrice":"11.12"
            },
            {
               "familyName":"COMBO",
               "installmentNumber":12,
               "installmentPrice":"0.95",
               "totalPrice":"11.36"
            }
         ]
      }
   ]
}
```

{% endtab %}

{% tab title="DATA Bin ile" %}

```javascript
// Örnek istek type değeri DATA ve bin numarası gönderilerek oluşturulmuştur
{
    "systemTime": 1612038653,
    "status ": "success",
    "price": "10.00",
    "binNumber": "****",
    "cardType": "CREDIT",
    "cardAssociation": "MASTER",
    "cardFamilyName ": "AXESS",
    "cardInstallmentSupport": "1",
    "cardThreeDSecureForced": "0",
    "bankName": "Akbank",
    "bankCode ": "46",
    "installement": [
        {
            "installmentNumber": "1",
            "totalPrice": "10.00",
            "installmentPrice": "10.00"
        },
        {
            "installmentNumber": "3",
            "totalPrice": "10.42",
            "installmentPrice": "3.47"
        },
        {
            "installmentNumber": "6",
            "totalPrice": "10.66",
            "installmentPrice": "1.78"
        },
        {
            "installmentNumber": "9",
            "totalPrice": "10.98",
            "installmentPrice": "1.22"
        },
        {
            "installmentNumber": "12",
            "totalPrice": "11.33",
            "installmentPrice": "0.94"
        }
    ]
}
```

{% endtab %}

{% tab title="HTML" %}

```javascript
// Html istek için bin numarısını dikkate almadan tüm taksit seçeneklerini
// HTML olarak tablo dönüşü yaparak direk kullanmanızı sağlamaktadır

{
    "systemTime": 1612038860,
    "status ": "success",
    "installmentHtml": "Taksit HTML Tablosu"
    
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.weepay.co/api/odeme-servisi-kendi-formunuz/taksit-sorgulama.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
